{% extends 'CoreGUIBundle:pdf:base_report.html.twig' %}
{% set baseurl=app.request.getBaseUrl() %}
{% set url = app.request.schemeAndHttpHost ~ app.request.baseUrl%}
{% set url_cerprod = app_globals.url_cerprod %}
{% block container %}
{% set srcfoto =  app.request.schemeAndHttpHost ~ asset('bundles/coregui/app/images/fotodefault.png') %}
{% set i= 1 %}
<head>
    <meta name="viewport" content="width=640, initial-scale=0.75, user-scalable=no" />
</head>
        <div class="row">
            <div class="col-xs-2"></div>
                <div class="col-xs-8">
                    <div class="widget-box">
                        <table style="border-collapse: collapse; width: 100%; border-top:px">
                            <tr>
                                <td style="width: 75%;align:center;"><img style="margin-bottom: 2%;height:30%;width:70%" src="{{ absolute_url(baseUrl~'/bundles/coregui/app/images/leyendacertificado.png') }}"></td>
                                <td style="width: 25%;"><img style="margin-bottom: 2%;height:65%; width:100%;" src="{{ absolute_url(baseUrl~'/bundles/coregui/app/images/LogRepEcuador.png') }}"></td>
                            </tr>
                        </table>
                    </div>
                </div>
            <div class="col-xs-2"></div>
        </div>
        <div class="row">
            <div class="col-xs-2"></div>
                <div class="col-xs-8">
                <div class="widget-box">
                    <table class="widget-title dark " border="0" cellpadding="1" class="widget-header widget-header-small" style = "table-layout:fixed;width:100%;" border="0">
                        <tbody>
                            <tr style="height: 50px">
                                <td class="widget-header widget-title dark" style="width: 60%;font-size: 12pt;">Name/Nombre: {{ datapaciente[0]['nombres']}}<br>Date of birth/ Fecha de nacimiento: {{ datapaciente[0]['fechanacimiento']}}</td>
                                <td style="width: 35%;" id="qrcode" align='center'></td>
                            </tr>
                            <tr>
                            <td></td>
                            </tr>
                        </tbody>
                    </table> 
                </div>
                </div>
            <div class="col-xs-2"></div>
        </div>
    <div class="row">
        <div class="col-xs-2"></div>
            <div class="col-xs-8">
                <div class="widget-box">
                    <div class="widget-header widget-header-small" style="line-height: 32px !important;">
                        <h6 class="widget-title SteelBlue"><b> Vaccination details / Datos de Vacunación</b></h6>
                    </div>
                </div>
            </div>
        <div class="col-xs-2"></div>
    </div>
    <div class="row">
        <div class="col-xs-2"></div>
            <div class="col-xs-8">
                <div class="widget-box">
                    <table class="widget-title dark " border="0" cellpadding="1" class="widget-header widget-header-small"  style="table-layout:fixed;width:100%;" border="0">
                        <tbody>
                            <tr style="height: 30px">
                                <td class="widget-header widget-title dark" style="font-size: 12pt;">Identifier/Identificación: {{ datapaciente[0]['identificacion'] }}
                                <br>
                                Certificate issuer / Emisor del certificado
                                <br>
                                Ministry of Public Health of Ecuador / Ministerio de Salud Pública del Ecuador
                                </td>
                            </tr>
                            <tr>
                            <td></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        <div class="col-xs-2"></div>
    </div>
    <div class="row">
        <div class="col-xs-2"></div>
            <div class="col-xs-8">
                <div class="widget-box">
                    <div class="widget-header widget-header-small" style="line-height: 32px !important;">
                        <h6 class="widget-title SteelBlue"><b> Disease targeted / Enfermedad que se previene &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; COVID-19</b></h6>
                    </div>
                </div>
            </div>
        <div class="col-xs-2"></div>
    </div>
    <style type="text/css">
    .tg  {border-collapse:collapse;border-spacing:0;border:1;}
    .tg td{border-color:#ffffff;border-style:solid;border-width:1px;font-size:15px;
    overflow:hidden;padding:10px 5px;word-break:normal;}
    .tg th{border-color:#ffffff;border-style:solid;border-width:1px;font-size:15px;
    font-weight:normal;overflow:hidden;padding:10px 5px;word-break:normal;}
    .tg .tg-vox4{border-color:#ffffff;font-size:14px;font-weight:bold;text-align:left;vertical-align:top;}
    .tg .tg-ltad{border-color:#ffffff;font-size:14px;text-align:left;vertical-align:top}
    .tg .tg-e9v8{border-color:#ffffff;font-size:15px;text-align:left;vertical-align:top}
    .tg .tg-cbs6{border-color:#ffffff;font-size:15px;text-align:left;vertical-align:top}
    </style>       
   <div class="row">
        <div class="col-xs-2"></div>
            <div class="col-xs-8">
                <div class="widget-box">
                    <table class="tg" style="table-layout: fixed;width:100%;">
                        <thead>
                        <tr>
                            <th class="tg-vox4" colspan="2">Vaccine / Tipo de vacuna</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>    
                            {% if datapaciente[0]['medicinavacuna'] %}
                                <td class="tg-ltad" colspan="2">{{datapaciente[0]['medicinavacuna']}}</td>
                            {% endif %}
                        </tr>
                        <tr>
                            <th class="tg-vox4">Vaccine medical product / VacunaAdministrada</th>
                            <th class="tg-vox4">Number of dosis / Número de dosis</th>
                        </tr>
                        {% if datavacuna %}
                            {% for data in datavacuna %}
                                {% if (data.dosisaplicada != 999 and data.dosisaplicada != 4) %}
                                    <tr>
                                    <td class="tg-e9v8">{{ data.nomvacuna }}</td>
                                    &nbsp;&nbsp;&nbsp;&nbsp;
                                    {# Para el caso que la vacuna sea cansino #}
                                    {% if data.nomvacuna == "CANSINO"%}
                                    <td class="tg-cbs6">
                                        Unidosis: Aplicada <br>Lot: {{ data.lote }} <br>Date / Fecha: {{ data.fechavacuna|date("Y/m/d") }}<br>
                                    </td>
                                    {% else %}
                                    <td class="tg-cbs6">
                                        Dosis: {{ data.dosisaplicada == 9 ? 'Adicional' : data.dosisaplicada }} <br>
                                        Lot: {{ data.lote }} <br>
                                        Date / Fecha: {{ data.fechavacuna|date("Y/m/d") }}
                                    </td>
                                    {% endif %}
                                {% endif %}
                            {% endfor %}
                        {% endif %}
                        <tr>
                            <th class="tg-vox4" colspan="2">Vaccination state / Estado Vacunación</th>
                        </tr>
                            {% if datapaciente[0]['numdosisaplicadas'] ==2 and inmonudeprimido == false %}
                                <tr>
                                    <td style="text-align:left;">Complete / Completa &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; YES/SI</td>
                                </tr>
                            {% elseif datapaciente[0]['numdosisaplicadas']==3 and inmonudeprimido == true %}
                                <tr>
                                    <td style="text-align:left;">Complete / Completa &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; YES/SI</td>
                                </tr>
                            {% elseif datavacuna[0]['nomvacuna']=='CANSINO' %}
                                <tr>
                                    <td style="text-align:left;">Complete / Completa &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; YES/SI</td>
                                </tr>
                            {% elseif datavacuna[0]['nomvacuna']=='ZHIFIVAX' and datapaciente[0]['numdosisaplicadas']==3 %}
                                <tr>
                                    <td style="text-align:left;">Complete / Completa &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; YES/SI</td>
                                </tr>
                            {% else %}
                                <tr>
                                    <td style="text-align:left;">Complete / Completa &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; NO/NO</td>
                                </tr>
                            {% endif %}
                        </tbody>
                    </table>
                </div>
            </div>
        <div class="col-xs-2"></div>
    </div>
    {% if datavacuna %}
    <div class="row">
                <div class="col-xs-2"></div>
                    <div class="col-xs-8">
                        <div class="widget-box">
                            <div class="widget-header widget-header-small" style="line-height: 32px !important;">
                                <h6 class="widget-title SteelBlue"><b> Vaccine Booster / Vacuna de refuerzo</b></h6>
                            </div>
                        </div>
                    </div>
                <div class="col-xs-2"></div>
            </div>
            <div class="row">
                <div class="col-xs-2"></div>
                    <div class="col-xs-8">
                        <div class="widget-box">
                            <table class="tg" style="table-layout: fixed; width:100%;" border="0">
                            <tr>
                                <th class="tg-vox4">Vaccine medical product / Vacuna Administrada</th>
                                
                            </tr>
        {% for data in datavacuna %}
            {% if (data.dosisaplicada == 999 or data.dosisaplicada == 4) %}
                            <tr>
                                <td class="tg-e9v8">{{data.nomvacuna}}</td>
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <td class="tg-cbs6">
                                    Dosis: De refuerzo {{ i }}<br>
                                    Lot: {{ data.lote }} <br>
                                    Date / Fecha: {{ data.fechavacuna|date("Y/m/d") }}
                                </td>
                            </tr>
            {% set i = i+1 %}
            {% endif %}
        {% endfor %}
                            </table>
                        </div>
                    </div>
                <div class="col-xs-2"></div>
            </div>
    {% endif %}
    <br>
    <div class="row">
        <div class="col-xs-2"></div>
            <div class="col-xs-8">
                <div class="widget-box" style="text-align: center; width: 100%;">
                    <img style="height:65px;width:35%;" src="{{ absolute_url(baseUrl~'/bundles/coregui/app/images/LogoGobierno.png') }}">
                </div>
            </div>
        <div class="col-xs-2"></div>
    </div>

    <div class="row">
        <div class="col-xs-2"></div>
            <div class="col-xs-8">
                <div class="widget-box" style="text-align: center; width: 100%;">
                    <table width="100%">
                        {% if footer_left is defined or footer_right is defined %}
                            <tr>
                                {% if footer_left is defined and footer_left is not empty %}
                                    <td style="padding: 2px 0 !important;"><b>{{ footer_left }}</b></td>
                                {% endif %}
                                {% if footer_right is defined and footer_right is not empty %}
                                    <td style="padding: 2px 0 !important;" align="right">{{ footer_right }}</td>
                                {% endif %}
                            </tr>
                        {% endif %}
                        <tr>
                            {# <td style="padding: 0 !important;" colspan="2" align="left"><b>This certificate is not travel document. Before travelling, please check the applicable public health measure and relate restrictions aplicable at the point
                                of destination. Este certificado no es un documento de viaje. Antes de viajar, verifique la medida de salud pública aplicable y relacione las restricciones
                                aplicables en el punto de destino.</span></b></td> #}
                        </tr>
                    </table>
                </div>
            </div>
        <div class="col-xs-2"></div>
    </div>
    <script src="https://sgrdacaa-amed.msp.gob.ec/js/jquery.js"></script>
    <script type="text/javascript" src="{{ url_cerprod }}/bundles/hcuepaciente/js/qrcode.min.js"></script>
    <script type="text/javascript">
        var qrcode = new QRCode(document.getElementById("qrcode"), {
            text:"{{ url }}/consultarqr/{{ datapaciente[0]['identeificacioncifrada'] }}",
            width: 145,
            height: 145,
            colorDark : "#000000",
            colorLight : "#ffffff",
            correctLevel : QRCode.CorrectLevel.H
        });
    </script>
{% endblock container %}
